> For the complete documentation index, see [llms.txt](https://docs.venuecms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.venuecms.com/developers/sdk-next/reference/type-aliases/page.md).

# Page

[**@venuecms/sdk-next**](https://docs.venuecms.com/developers/sdk-next/reference/index.md)

***

## Type Alias: Page

```ts
type Page = object;
```

Defined in: [packages/sdk/dist/index.d.mts:750](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L750)

### Type declaration

| Name                         | Type                                                                                                                                 | Defined in                                                                                                                                            |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| `artists`?                   | `object`\[]                                                                                                                          | [packages/sdk/dist/index.d.mts:795](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L795) |
| `custom`?                    | [`CustomSchemaData`](https://github.com/venuecms/sdk/tree/main/packages/docs/sdk-next/reference/type-aliases/CustomSchemaData.md)\[] | [packages/sdk/dist/index.d.mts:792](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L792) |
| `date`?                      | `string` \| `unknown`                                                                                                                | [packages/sdk/dist/index.d.mts:756](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L756) |
| `featured`                   | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:754](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L754) |
| `featuredExpiration`?        | `string` \| `unknown`                                                                                                                | [packages/sdk/dist/index.d.mts:755](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L755) |
| `fullPath`?                  | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:787](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L787) |
| `id`                         | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:751](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L751) |
| `image`?                     | [`MediaItem`](https://docs.venuecms.com/developers/sdk-next/reference/type-aliases/mediaitem.md)                                     | [packages/sdk/dist/index.d.mts:762](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L762) |
| `linkUrl`?                   | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:758](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L758) |
| `localizedContent`           | [`LocalizedContent`](https://docs.venuecms.com/developers/sdk-next/reference/type-aliases/localizedcontent.md)\[]                    | [packages/sdk/dist/index.d.mts:794](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L794) |
| `openInNewTab`               | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:759](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L759) |
| `order`                      | `number`                                                                                                                             | [packages/sdk/dist/index.d.mts:752](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L752) |
| `parent`?                    | `object`                                                                                                                             | [packages/sdk/dist/index.d.mts:763](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L763) |
| `parent.createdAt`           | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:766](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L766) |
| `parent.date`?               | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:779](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L779) |
| `parent.dirty`               | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:773](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L773) |
| `parent.featured`            | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:777](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L777) |
| `parent.featuredExpiration`? | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:778](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L778) |
| `parent.id`                  | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:764](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L764) |
| `parent.imageId`?            | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:783](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L783) |
| `parent.linkUrl`?            | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:781](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L781) |
| `parent.openInNewTab`        | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:782](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L782) |
| `parent.order`               | `number`                                                                                                                             | [packages/sdk/dist/index.d.mts:774](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L774) |
| `parent.parentId`?           | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:785](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L785) |
| `parent.publishedId`?        | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:772](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L772) |
| `parent.publishState`        | `"DRAFT"` \| `"REQUEST"` \| `"PUBLISHED"` \| `"CANCELLED"`                                                                           | [packages/sdk/dist/index.d.mts:770](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L770) |
| `parent.recordType`          | `"SOURCE"` \| `"PUBLISHED"` \| `"REVISION"`                                                                                          | [packages/sdk/dist/index.d.mts:768](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L768) |
| `parent.revisionId`?         | `number` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:769](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L769) |
| `parent.siteId`              | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:765](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L765) |
| `parent.slug`                | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:776](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L776) |
| `parent.source`?             | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:771](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L771) |
| `parent.type`                | \| `"CONTENT"` \| `"NEWS"` \| `"NEWSLIST"` \| `"EVENTLIST"` \| `"PROFILELIST"` \| `"PRODUCTLIST"` \| `"LINK"`                        | [packages/sdk/dist/index.d.mts:780](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L780) |
| `parent.updatedAt`           | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:767](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L767) |
| `parent.userId`?             | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:784](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L784) |
| `parent.visible`             | `boolean`                                                                                                                            | [packages/sdk/dist/index.d.mts:775](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L775) |
| `parentId`?                  | `string` \| `null`                                                                                                                   | [packages/sdk/dist/index.d.mts:760](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L760) |
| `roles`                      | `object`\[]                                                                                                                          | [packages/sdk/dist/index.d.mts:788](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L788) |
| `siteId`                     | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:761](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L761) |
| `slug`                       | `string`                                                                                                                             | [packages/sdk/dist/index.d.mts:753](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L753) |
| `tags`?                      | [`Tag`](https://github.com/venuecms/sdk/tree/main/packages/docs/sdk-next/reference/type-aliases/Tag.md)\[]                           | [packages/sdk/dist/index.d.mts:793](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L793) |
| `type`                       | \| `"CONTENT"` \| `"NEWS"` \| `"NEWSLIST"` \| `"EVENTLIST"` \| `"PROFILELIST"` \| `"PRODUCTLIST"` \| `"LINK"`                        | [packages/sdk/dist/index.d.mts:757](https://github.com/venuecms/sdk/blob/cfed6bdc583cc0d277b4fe1af72727ff7219484d/packages/sdk/dist/index.d.mts#L757) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.venuecms.com/developers/sdk-next/reference/type-aliases/page.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
